Subject: Re: bug#23475: no code for module (guix ui)

From: Leo Famulari <[email-masked]>
Date: Mon, 1 Aug 2016 21:30:47 -0400

On Sun, Jul 31, 2016 at 06:40:00PM +0200, Ludovic Courtès wrote:
> Any updates?  :-)

I've noticed that it happens if I do this:

$ guix gc && ./pre-inst-env guix build foo

If I then do the following, it works again:

$ guix environment guix
$ exit
$ ./pre-inst-env guix build foo 

I don't have all of the Guix dependencies in my profile or my Debian
environment (I see this on my Debian machine), so I guess that something
important is garbage collected, but I haven't figured out what yet.

So, I think it's not much of a bug, since I am deliberately invoking the
garbage collector. WDYT?